#!/usr/bin/python3
# -*- coding: utf-8 -*

#Ce code est un essai de sonnette connectée réalisé par Alban TREVILLY
#Condition d'utilisation : Il est facturé 2000 euros lors de chaque utilisation :-D

import time
from datetime import datetime
import os
import pygame
from pygame.locals import *

#Définition du répertoire de stockage des photos
dossier_de_travail ="/home/pi/Desktop/visiteurs" #Ceci peut évidemment être personnalisé

def PrisePhoto(NomPhoto): #prendre une photo avec une caméra USB
        date_today = datetime.now()
        date = date_today.strftime('%d-%m-%Y_%H-%M-%S')
        command = 'fswebcam -r 640x480 -S 10 --timestamp "Date : %d-%m-%Y Heure : %H-%M-%S" --font sans:24 --top-banner '+chemin_photo+''
        os.system(command)

if (os.path.isdir(dossier_de_travail) == False): # si le dossier pour stocker les photos n'existe pas       
   os.mkdir(dossier_de_travail)                  # alors on crée le dossier (selon le dossier désigné auparavant)
   os.chmod(dossier_de_travail,0o777)            # et on change les droits pour pouvoir effacer des photos


while True : #boucle jusqu'a interruption
        action =int(input('Taper "1" pour "Entrée" pour sonner\n'))
        if action == 1:
                try:
                        print ("Bonjour")
                        print ("Script Sonnette.py lancé ; attente boucle")
                        print (" ")
                        
                        #on a appuyé sur le bouton ... On lance les actions
        
                        #Jouer le son de sonnette avec PyGame       
                        pygame.mixer.init()
                        son = pygame.mixer.Sound('/home/pi/sonnette-usb-complet/1207.wav')
                        canal = son.play()
        
                        #on génère le nom de la photo avec heure_min_sec
                        date_today = datetime.now()
                        nom_image = date_today.strftime('%d-%m-%Y_%H-%M-%S')
        
                        #on déclenche la prise de photo
                        chemin_photo = ''+dossier_de_travail+'/'+nom_image+'.jpeg'
                        PrisePhoto(chemin_photo) #Déclenchement de la prise de photo

                        #on envoie le courriel
                        os.system('echo "On vient de sonner à la porte :" | mutt -s "Photo sonnette `date +%d/%m/%y` `date +%H:%M:%S`" -a '+chemin_photo+' -- destinataire@domaine.truc')

                        print("---")
                        print("OK, photo prise")
                        print("Maintenant, tu dois 2000 Euros à Alban")
                        print("Si, si, c'est noté ligne 5 (conditions d'utilisation)")
                        print("Tu peux vérifier")
                        print("HiHiHi")
                        print("---")
                        print(" ")
       

                except KeyboardInterrupt:
                        print ('sortie du programme!')
                        raise

